﻿
@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.RequestSellDto>
@{
    ViewBag.Title = "Request Buy";
}
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">복숭아신청 / ลูกพีช</h5>
                    </div>
                </div>
                <div class="card-body table-responsive">
                    <div class="xp-alert mt-3">
                        <div class="alert alert-light" role="alert">
                            <div class="xp-alert">
                                <div class="row justify-content-center">
                                    <div class="form-row">
                                        <div class="col-auto">
                                            <div class="input-group mb-2">
                                                xxx
                                            </div>
                                        </div>
                                        <div class="col-auto">
                                            <div class="input-group mb-2">
                                                xxx
                                            </div>
                                        </div>

                                        <div class="col-auto">
                                            <button type="submit" class="btn btn-info mb-2"><i class="icon-magnifier mr-2"></i>Search</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div style="min-width:1366px;max-width:100%; margin:auto;">
                        <div class="align-middle">
                            <span class="badge badge-primary badge-pill">전체  @ViewBag.Count 건</span>
                            <span class="badge badge-primary badge-pill">전체 합계  @ViewBag.Amount 점</span>
                        </div>
                        <div class="table-responsive m-b-30 mt-2">
                            <table class="table table-bordered">
                                <thead class="thead-dark">
                                    <tr class="text-center">
                                        <th class="align-middle" style="width:90px;">No.</th>
                                        <th class="align-middle" style="width:200px;">회원아이디 / รหัสสมาชิก</th>
                                        <th class="align-middle">이름 / ชื่อ</th>
                                        <th class="align-middle" style="width:150px;">상품명 / ชื่อสินค้า</th>
                                        <th class="align-middle" style="width:300px;">개수 / จำนวน</th>
                                        <th class="align-middle" style="width:300px;">가격 / ราคา</th>
                                        <th class="align-middle" style="width:200px;">구매한날짜 / วันที่ซื้อ</th>
                                        <th class="align-middle" style="width:150px;">상태 / สถานะ</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr class="text-center">
                                        @if (Model != null && Model.Count() != 0)
                                        {
                                            foreach (var item in Model)
                                            {

                                            <tr class="text-center">
                                                <td> @Html.DisplayFor(modelItem => item.num)</td>
                                                <td class="text-left">
                                                    @Html.DisplayFor(modelItem => item.username)
                                                </td>
                                                <td> @Html.DisplayFor(modelItem => item.fullname)</td>
                                                <td> @Html.DisplayFor(modelItem => item.product_name)</td>
                                                <td> @Html.DisplayFor(modelItem => item.amount)</td>
                                                <td> @Html.DisplayFor(modelItem => item.price)</td>
                                                <td> @Html.DisplayFor(modelItem => item.buy_date)</td>
                                                <td> <input type="button" value="Matching" class="btn btn-success" onclick="getdata('@Html.DisplayFor(modelItem => item.id)')" /></td>
                                            </tr>
                                        }
                                    }
                                    else
                                    {
                                        <tr class="text-center">
                                            <td colspan="7">
                                                No Data !!
                                            </td>
                                        </tr>
                                    }
                                    </tbody>
                                </table>
                            </div>
                            @{
                                if (Convert.ToInt32(ViewBag.Count) > ViewBag.Rows)
                                {
                                    <div class="justify-content-center row">
                                        @if (Model != null)
                                        {
                                            @Html.PagedListPager(Model, Page => Url.Action("Index", "RequestBuy", new { Page }))
                                        }
                                    </div>
                                }
                            }
                        </div>
                    </div>
                </div>
                <!-- End XP Col -->
            </div>
        </div>
    </div>

    <div class="modal fade" id="Model" role="dialog">
        <div class="modal-dialog">
            <input type="hidden" id="hdfId" />
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <div class="float-left"><h4 class="modal-title">Matching</h4></div>
                </div>
                <div class="modal-body">
                    <div style="min-width:1366px;max-width:100%; margin:auto;">
                        <div class="align-middle">
                            <span class="badge badge-primary badge-pill">전체  @ViewBag.Count 건</span>
                            <span class="badge badge-primary badge-pill">전체 합계  @ViewBag.Amount 점</span>
                        </div>
                        <div class="table-responsive m-b-30 mt-2">
                            <table class="table table-bordered">
                                <thead class="thead-dark">
                                    <tr class="text-center">
                                        <th class="align-middle" style="width:90px;">No.</th>
                                        <th class="align-middle" style="width:200px;">회원아이디 / รหัสสมาชิก</th>
                                        <th class="align-middle">이름 / ชื่อ</th>
                                        <th class="align-middle" style="width:150px;">상품명 / ชื่อสินค้า</th>
                                        <th class="align-middle" style="width:300px;">개수 / จำนวน</th>
                                        <th class="align-middle" style="width:300px;">가격 / ราคา</th>
                                        <th class="align-middle" style="width:200px;">구매한날짜 / วันที่ซื้อ</th>
                                        <th class="align-middle" style="width:150px;">상태 / สถานะ</th>
                                    </tr>
                                </thead>
                                <tbody>

                                    @{
                                        int MatchingCnt = ViewBag.MatchingCnt;
                                        if (MatchingCnt != 0)
                                        {
                                            foreach (var item in ViewBag.Matching)
                                            {
                                                <tr class="text-center">
                                                    <td> @Html.Raw(item.num)</td>
                                                    <td>@Html.Raw(item.username)</td>
                                                    <td>@Html.Raw(item.fullname)</td>
                                                    <td>@Html.Raw(item.product_name) </td>
                                                    <td>@Html.Raw(item.amount)</td>
                                                    <td>@Html.Raw(item.price) </td>
                                                    <td>@Html.Raw(item.buy_date) </td>
                                                    <td> <input type="button" value="Match" class="btn btn-secondary" onclick="matchdata(@Html.Raw(item.id),@Html.Raw(item.amount))" /></td>
                                                </tr>
                                            }
                                        }
                                        else
                                        {
                                            <tr class="text-center">
                                                <td colspan="8">
                                                    No Data !!
                                                </td>
                                            </tr>
                                        }
                                    }

                                </tbody>
                            </table>
                        </div>
                        @{
                            if (Convert.ToInt32(ViewBag.Count) > ViewBag.Rows)
                            {
                                <div class="justify-content-center row">
                                    @if (Model != null)
                                    {
                                        @Html.PagedListPager(Model, Page => Url.Action("Index", "RequestBuy", new { Page }))
                                    }
                                </div>
                            }
                        }
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <style>
        .modal-header {
            display: block;
        }

        .modal-dialog {
            max-width: 80%;
        }
    </style>
    <script>
    $(function () {

    });
    function getdata(id) {
        $("#hdfId").val(id);
        $.ajax({
            type: "POST",
            url: "/RequestBuy/getdata",
            data: "{'id':'" + id + "'}",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (msg) {
                //alert(msg);
                //location.reload();
                $('#Model').modal('show');
            }
        });
    }
    function matchdata(id_sale,amt_sale) {
        var id = $("#hdfId").val();
        $.ajax({
            type: "POST",
            url: "/RequestBuy/matchdata",
            data: "{'id':" + id + ",'id_sale':" + id_sale + ",'amt_sale':" + amt_sale + "}",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (msg) {
                if (msg.err == '0') {
                    //alert(msg.errmsg);
                    location.reload();


                } else {
                    alert(msg.errmsg);
                }

            }
        });
    }
    </script>



